Bug 139166 - update port: audio/libmp3splt to version 0.5.7a
Summary: update port: audio/libmp3splt to version 0.5.7a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-27 03:00 UTC by Timothy Beyer
Modified: 2009-11-27 02:24 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (275 bytes, patch)
2009-09-27 03:00 UTC, Timothy Beyer
no flags Details | Diff
files.diff (749 bytes, patch)
2009-09-27 03:00 UTC, Timothy Beyer
no flags Details | Diff
libmp3splt.patch.txt (3.09 KB, text/plain)
2009-10-01 17:58 UTC, citrin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2009-09-27 03:00:08 UTC
These patches make the following changes:

-Updates audio/libmp3splt to the latest version (this upgrade is important, as it has a lot of bugfixes and is required for the latest versions of mp3splt and mp3splt-gtk)
-Makes according changes to Makefile
-Makes according changes to distinfo
-Makes according changes to files (get rid of it's contents, they are no longer needed)

Fix: The included patches

--- distinfo.orig	2009-03-27 06:56:23.000000000 -0700
+++ distinfo	2009-09-05 14:23:34.000000000 -0700
@@ -1,3 +1,3 @@
-MD5 (libmp3splt-0.5.4.tar.gz) = a65f63dc9c176dabff3c6c85c4c3bf2c
-SHA256 (libmp3splt-0.5.4.tar.gz) = 3c454d5a49316f549bb21f3875a55c2ce37d2510d41f72136fa8cfe6fbaff9f6
-SIZE (libmp3splt-0.5.4.tar.gz) = 462620
+MD5 (libmp3splt-0.5.7a.tar.gz) = 93fd67d55b500735f1c42d260518505d
+SHA256 (libmp3splt-0.5.7a.tar.gz) = e0e945b681315037f960e2929477e3357ba9c76cde1e29a19d8e1d371a9e123e
+SIZE (libmp3splt-0.5.7a.tar.gz) = 535747
--- distinfo.diff ends here ---
How-To-Repeat:     -Apply the patches
    -I am submitting an update to mp3splt accordingly, (since mp3splt versions are tied directly to the respective version of libmp3splt) as the old mp3splt will not compile on newer versions of libmp3splt
Comment 1 Edwin Groothuis freebsd_committer 2009-09-27 03:00:18 UTC
Maintainer of audio/libmp3splt,

Please note that PR ports/139166 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139166

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-27 03:00:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wen Heping freebsd_committer 2009-09-27 07:26:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 4 citrin 2009-10-01 10:33:51 UTC
This version of libmp3splt has NLS support.
This should be properly handled by port.

1. NLS support should be added to OPTIONS.

2. And to Makefile should added something like:

.if defined(WITHOUT_NLS)
CONFIGURE_ARGS+=	--disable-nls
.else
PLIST_FILES+=	share/locale/de/LC_MESSAGES/libmp3splt.mo \
		share/locale/fr/LC_MESSAGES/libmp3splt.mo
.endif

I'll see this as soon as time permits.

-- 
Anton Yuzhaninov
Comment 5 citrin 2009-10-01 10:49:45 UTC
seems to be, that

share/aclocal/mp3splt.m4

should be added to PLIST_FILES
Comment 6 citrin 2009-10-01 17:58:01 UTC
Better patch attached.
Comment 7 citrin 2009-10-02 12:25:16 UTC
last patch can be commited with patch from
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139167
Comment 8 citrin 2009-10-02 12:26:00 UTC
last patch can be commited with patch from
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139167
Comment 9 citrin 2009-10-20 11:06:02 UTC
Also

MAKE_JOBS_SAFE=yes

can be added to Makefile of this port (tested on 4-cores).

-- 
 Anton Yuzhaninov
Comment 10 dfilter service freebsd_committer 2009-11-27 01:58:03 UTC
wen         2009-11-27 01:57:49 UTC

  FreeBSD ports repository

  Modified files:
    audio/libmp3splt     Makefile distinfo 
  Removed files:
    audio/libmp3splt/files patch-cddb.c 
  Log:
  - Update to 0.5.7a
  
  PR:             ports/139166
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.6       +15 -4     ports/audio/libmp3splt/Makefile
  1.2       +3 -3      ports/audio/libmp3splt/distinfo
  1.2       +0 -19     ports/audio/libmp3splt/files/patch-cddb.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Wen Heping freebsd_committer 2009-11-27 02:24:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!